Skip to main content
GET
/
api
/
memorization
/
script
Script - Get All
curl --request GET \
  --url https://app.replay.sale/api/memorization/script \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "passingScore": 1,
      "numLevels": 2,
      "createdAt": "2023-11-07T05:31:56Z",
      "coverImageUrl": "<string>"
    }
  ],
  "pagination": {
    "total": 1,
    "offset": 1,
    "limit": 500,
    "hasMore": true
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from your company settings.

Query Parameters

offset
integer
default:0

Number of records to skip (default: 0)

Required range: x >= 0
limit
integer
default:100

Maximum records to return (default: 100, max: 1000)

Required range: 1 <= x <= 1000

Response

Successfully retrieved scripts

data
object[]
required
pagination
object
required